<?php
/******************************************************************************
* Name:          ANLEGEN DER MY-SQL Tabellen                                  *
* Version:       1.0                                                          *
* Copyright:     Thomas Fitz A-6890 Lustenau                                  *
*                                                                             *
******************************************************************************/
$install = true;
require("config.php");    // Seitenkonfiguration einbinden


// Wenn keine Sprache eingestellt ==> Defaultsprache
If ($language == "") {
    $language = $einst['language'];
}

// Seitentexte nach eingestellter Sprache laden
$pagename = "lang";
$langfile = "languages/" .$pagename ."_" .$language .".php";
require($langfile);

?>
<html>
<head>
<title><?=$lang['ueberschrift']?><?=$lang['head_install']?></title>
<meta http-equiv="Content-Type" content="text/html; <?=$einst['metachar']?>">
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<h1><?=$lang['ueberschrift']?><?=$lang['head_install']?></h1>

<?
// Angaben zur Datenbank pruefen und wenn korrekt Verbindung herstellen.
// *********************************************************************
$connect = @mysql_connect($db_host, $db_username, $db_passwort);
$db = @mysql_select_db($db_name, $connect);

if(empty ($db_username))  {$msgF = $msgF .$lang['no_user']."<br>"; $fehler = 1; }
if(empty ($db_passwort))      {$msgF = $msgF .$lang['no_pass']."<br>"; $fehler = 1; }
if(empty ($db_host))          {$msgF = $msgF .$lang['no_host']."<br>"; $fehler = 1; }
if(empty ($db_name))     {$msgF = $msgF .$lang['no_dbname']."<br>"; $fehler = 1; }

if($connect == false){
    $msgF = $msgF .$lang['verbindung_err']."<br>";
    $fehler = 1;
}
else { $msg = $msg .$lang['verbindung_ok']."<br>"; }

if($db == false){
    $msgF = $msgF .$lang['database_no']."<br>";
    $fehler = 1;
}
else { $msg = $msg .$lang['database_ok'] ."<br>"; }


//Bisher kein Fehler - Tabellen erstellen:
//----------------------------------------
if ($fehler==0) {


	//-----------------------------------------------
	// Gaestebucheintraege
	
	mysql_query("CREATE TABLE IF NOT EXISTS $tab_entrys (
	  ID int(10) NOT NULL auto_increment,
	  DATE int(10) NULL default '0',
	  IP varchar(100) NOT NULL default '',
	  NAME varchar(100) NOT NULL default '',
	  URL varchar(250) NULL default '',
	  EMAIL varchar(100) NULL default '',
	  EINTRAG TEXT NOT NULL default '',
	  ANTWORT_VON varchar(100) NULL default '',
	  ANTWORT TEXT NULL default '',
	  FREI varchar(20) NOT NULL default 'ja',
	  PRIMARY KEY  (ID)
	) TYPE=MyISAM AUTO_INCREMENT=0 ;") or die(mysql_error());
	//-----------------------------------------------
	
	
	//-----------------------------------------------
	// Geblockte IP-Adressen
	
	mysql_query("CREATE TABLE IF NOT EXISTS $tab_bannip (
	  ID int(10) NOT NULL auto_increment,
	  DATE int(10) NULL default '0',
	  IP varchar(100) NOT NULL default '',
	  GRUND int(10) NOT NULL default '0',
	  PRIMARY KEY  (ID)
	) TYPE=MyISAM AUTO_INCREMENT=0 ;") or die(mysql_error());
	//-----------------------------------------------
	
	//-----------------------------------------------
	// Badwordliste
	
	mysql_query("CREATE TABLE IF NOT EXISTS $tab_badword (
	  ID int(10) NOT NULL auto_increment,
	  WORD varchar(100) NOT NULL default '',
	  PRIMARY KEY  (ID)
	) TYPE=MyISAM AUTO_INCREMENT=0 ;") or die(mysql_error());
	//-----------------------------------------------
}

//Fehlermeldung wenn Fehlgeschlagen
//---------------------------------
if ($fehler==1) {
   $msgF = $msgF ."<br>".$lang['check_config'];
   
   ?>
   <div class="box">
      <div class="red">
         <?=$msgF?>
      </div>   
   </div>

   <?
}
//Tabellen erzeugen und Erfolgsmeldung ausgeben
//----------------------------------------------
else {
   $msg = $msg ."<br><b>".$lang['make_ok']."</b>";
   ?>
   <div class="box">
   <p><b><?=$msg?></b></p>
   <p class="red"><?=$lang['del_install']?></p>
   </div>
   <input name="weiter" type="button" class="button" value="<?=$lang['zuadmin']?>" onClick="self.location.href='admin/index.php?language=<?=$language?>'">

   <br>


   <?
}

?>
</body>
</html>

<?
function TabelleUeberpruefen($Tabellenname, $DatabasePointer) {
/***********************************************************
Prueft ob die angegebene Tabelle bereits existiert.
***********************************************************/

    if(mysql_num_rows(mysql_query("SHOW TABLES LIKE '".$Tabellenname."'")))
    {
        return true;
    }
    else
    {
        return false;
    }
}
?>

